Package org.eclipse.emf.cdo.server.security

# Class SecurityManagerUtil

java.lang.Object
org.eclipse.emf.cdo.server.security.SecurityManagerUtil

public final class SecurityManagerUtil extends Object
Static factory methods for creating `security managers`.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`static void`
`addResourcePermissions(Role role, String resourcePath, boolean writable)`
`static Role`
`addResourceRole(Realm realm, String roleName, String resourcePath, boolean writable)`
`static ISecurityManager`
`createSecurityManager(String realmPath)`
`static ISecurityManager`
`createSecurityManager(String realmPath, org.eclipse.net4j.util.container.IManagedContainer container)`
`static ISecurityManager`
`getSecurityManager(IRepository repository)`
`static void`
`prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getSecurityManager

public static ISecurityManager getSecurityManager(IRepository repository)

Since:
  4.3

### createSecurityManager

public static ISecurityManager createSecurityManager(String realmPath)

### createSecurityManager

public static ISecurityManager createSecurityManager(String realmPath, org.eclipse.net4j.util.container.IManagedContainer container)

### addResourceRole

public static Role addResourceRole(Realm realm, String roleName, String resourcePath, boolean writable)

Since:
  4.10

### addResourcePermissions

public static void addResourcePermissions(Role role, String resourcePath, boolean writable)

Since:
  4.10

### prepareContainer

public static void prepareContainer(org.eclipse.net4j.util.container.IManagedContainer container)